/*
 * _Beep_BRRR_01.h
 *
 *  Created on: 3. apr. 2021
 *      Author: teig
 */


#ifndef BEEP_BRRR_01_H_
    #define BEEP_BRRR_01_H_

    typedef enum beep_brrr_state_e {
        state_center_mic, // default
        state_directive_mics_iff
    } beep_br_state_e;

    typedef struct {
        beep_br_state_e  state;
        directive_mics_t directive_mics_t;
    } beep_br_state_t;

    // [[combinable]]
    void Handle_Beep_BRRRR_task_b (
            server button_if_1             if_button [BUTTONS_NUM_CLIENTS],
            out port                       p_leds_00_07,
            client softblinker_if          if_softblinker,
            client i2c_general_commands_if if_i2c_general_commands,
            out port                       p_display_notReset,
            out port                       p_scope_orange,
            streaming chanend              sch_ab, // data_sch_phase1_t, data_ch_phase3_t
            chanend                        ch_ba,  // data_ch_phase2_t
            chanend                        ch_bx, // data_ch_phase0_t then data_ch_phase3_t
            streaming chanend              sch_yb); // knock then data_ch_params_t and data_ch_results_t then

    #ifndef DEBUG_MIC_SAMPLES_INCREASING
        #error include of _globals.h missing
    #endif
#else
    #error NESTED .h FILE
#endif /* BEEP_BRRR_01_H_ */
