/*
 * port_tile0_task.h
 *
 * None of the ports on the xCORE MICROPHONE ARRAY board's expansien header are on tile[1]
 * From tasks on tile[1] use this to excercise port(s)
 *
 *  Created on: 7. apr. 2022
 *      Author: oyvindteig
 */


#ifndef PORT_TILE0_TASK_H_
    #define PORT_TILE0_TASK_H_

    typedef interface port_commands_if {
        void write_port (const port_e value);
    } port_commands_if;


    [[distributable]] // but [[combined]] here since on another tile
    void port_tile0_task (
            server  port_commands_if if_port_commands,
            out port                 p_scope_violet);

#else
    #error NESTED .h FILE
#endif /* PORT_TILE0_TASK_H_ */
